org.objenesis.instantiator.jrockit

## Class JRockitLegacyInstantiator<T>

- java.lang.Object
- - org.objenesis.instantiator.jrockit.JRockitLegacyInstantiator<T>

- All Implemented Interfaces:
    ObjectInstantiator<T>

      public class JRockitLegacyInstantiator<T>
      extends java.lang.Object
      implements ObjectInstantiator<T>

  Instantiates a class by making a call to internal JRockit private methods. It is only supposed to work on JRockit 1.4.2 JVMs prior to release R25.1. From release R25.1 on, JRockit supports sun.reflect.ReflectionFactory, making this "trick" unnecessary. This instantiator will not call any constructors.
  See Also:
    `ObjectInstantiator`, `SunReflectionFactoryInstantiator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRockitLegacyInstantiator(java.lang.Class<T> type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `newInstance()` Returns a new instance of an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRockitLegacyInstantiator

          public JRockitLegacyInstantiator(java.lang.Class<T> type)

  - ### Method Detail

    - #### newInstance

          public T newInstance()

      Description copied from interface: `ObjectInstantiator`
      Returns a new instance of an object. The returned object's class is defined by the implementation.
      Specified by:
        `newInstance` in interface `ObjectInstantiator<T>`
      Returns:
        A new instance of an object.